System.Security 2.0.0.0 4.0.0.0 System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

This permission is used to control the ability to encrypt data and memory using the and classes.

Controls the ability to access encrypted data and memory. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified permission flags.

- Constructor
  2.0.0.0
  4.0.0.0

  Creates either None (fully restricted) or Unrestricted access to data and memory.

  Initializes a new instance of the class with the specified permission state.

  One of the values.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of the permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.DataProtectionPermissionFlags To be added.

  This property specifies whether the Protect and Unprotect methods of the and classes can be used.

  Gets or sets the data and memory protection flags.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  The method reconstructs a object from an XML encoding defined by the class. Use the method to XML-encode the , including state information.

  Reconstructs a permission with a specific state from an XML encoding.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both describe in common. Only a demand that passes both individual permissions will pass the intersection.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if the current permission specifies a set of operations that is wholly contained in the specified permission. For example, a permission for access is a subset of a permission for access.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission to test for the subset relationship. This permission must be the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission represents access to all resources protected by the permission.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  Use the method to restore the state information from a .

  Creates an XML encoding of the permission and its current state.

  An XML encoding of the permission, including state information.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to is a permission that represents all operations represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  Creates a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission.